// pages/login/phone-register/index.js
import {
  sendPhoneCode
} from '~/services/login/phone-register';

Page({

  /**
   * 页面的初始数据
   */
  data: {
    logoImg: "https://tool.aerwen.net/prod-api/Open/20230602/8969EAF2294B1FF4.png",
    phoneNumber: "", //手机号
    phoneError: false, // 手机号验证
    verifyCode: "", //验证码
  },


  /** 发送验证码 */
  send() {
    if (!this.data.phoneNumber) {
      wx.showToast({
        icon: 'error',
        title: '请输入手机号',
      });
      return;
    }
    const isPhoneNumber = /^[1][3,4,5,7,8,9][0-9]{9}$/.test(this.data.phoneNumber);
    if(!isPhoneNumber){
      wx.showToast({
        icon: 'error',
        title: '手机号格式不正确',
      });
      return;
    }

    let data = {
      PhoneNumber: this.data.phoneNumber,
    }
    sendPhoneCode(data)
  },


  /** 手机号验证 */
  onPhoneInput(e) {
    const {
      phoneError
    } = this.data;
    const isPhoneNumber = /^[1][3,4,5,7,8,9][0-9]{9}$/.test(e.detail.value);
    if (phoneError === isPhoneNumber) {
      this.setData({
        phoneError: !isPhoneNumber,
        phoneNumber: e.detail.value,
      });
    }
  },



  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})